package com.kob.backend.consumer.utils;

import com.kob.backend.utils.JwtUtil;
import io.jsonwebtoken.Claims;

//Jwt 验证配置工具类
public class JwtAuthenticationUtil {
    public static Integer getUserId(String token) {
        // 默认 userid 赋值为 -1 ,表示不存在
        int userId = -1;
        try {
            // 将 token 解析,如果能成功解析出 userid 表示合法,否则表示不合法
            Claims claims = JwtUtil.parseJWT(token);
            userId = Integer.parseInt(claims.getSubject());
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        return userId;
    }
}
