package com.kob.matchingsystem;

import com.kob.matchingsystem.service.impl.MatchingServiceImpl;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class MatchingSystemApplication {
    public static void main(String[] args) {
        // 启动 MatchingSystem 服务之前启动 MatchingPool 线程
        MatchingServiceImpl.matchingPool.start();   // 启动匹配线程

        SpringApplication.run(MatchingSystemApplication.class, args);
    }
}